signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Friends | List of all members
SignonDaemonNS::SecretsCache Class Reference

Caches credentials or BLOB authentication data. More...

`#include <credentialsdb_p.h>`

## Classes
class | AuthCache

## Public Member Functions
| SecretsCache ()
| ~SecretsCache ()
bool | lookupCredentials (quint32 id, QString &username, QString &password) const
QVariantMap | lookupData (quint32 id, quint32 method) const
void | updateCredentials (quint32 id, const QString &username, const QString &password, bool storePassword)
void | updateData (quint32 id, quint32 method, const QVariantMap &data)
void | storeToDB (SignOn::AbstractSecretsStorage *secretsStorage) const
void | clear ()

## Friends
class | ::TestDatabase

## Detailed Description

Caches credentials or BLOB authentication data.

Definition at line 45 of file credentialsdb_p.h.

## Constructor & Destructor Documentation

SignonDaemonNS::SecretsCache::SecretsCache | ( |  | ) |
| inline

Definition at line 60 of file credentialsdb_p.h.

SignonDaemonNS::SecretsCache::~SecretsCache | ( |  | ) |
| inline

Definition at line 61 of file credentialsdb_p.h.

## Member Function Documentation

void SignonDaemonNS::SecretsCache::clear | ( |  | ) |

Definition at line 119 of file credentialsdb.cpp.

Referenced by SignonDaemonNS::CredentialsDB::openSecretsDB().

bool SignonDaemonNS::SecretsCache::lookupCredentials | ( | quint32 | id,
|  | QString & | username,
|  | QString & | password
| ) |  | const

Definition at line 44 of file credentialsdb.cpp.

Referenced by SignonDaemonNS::CredentialsDB::credentials().

QVariantMap SignonDaemonNS::SecretsCache::lookupData | ( | quint32 | id,
|  | quint32 | method
| ) |  | const

Definition at line 58 of file credentialsdb.cpp.

Referenced by SignonDaemonNS::CredentialsDB::loadData().

void SignonDaemonNS::SecretsCache::storeToDB | ( | SignOn::AbstractSecretsStorage * | secretsStorage | ) | const

Definition at line 86 of file credentialsdb.cpp.

References TRACE.

Referenced by SignonDaemonNS::CredentialsDB::openSecretsDB().

void SignonDaemonNS::SecretsCache::updateCredentials | ( | quint32 | id,
|  | const QString & | username,
|  | const QString & | password,
|  | bool | storePassword
| ) |  |

Definition at line 63 of file credentialsdb.cpp.

Referenced by SignonDaemonNS::CredentialsDB::updateCredentials().

void SignonDaemonNS::SecretsCache::updateData | ( | quint32 | id,
|  | quint32 | method,
|  | const QVariantMap & | data
| ) |  |

Definition at line 76 of file credentialsdb.cpp.

Referenced by SignonDaemonNS::CredentialsDB::storeData().

## Friends And Related Function Documentation

friend class ::TestDatabase
| friend

Definition at line 47 of file credentialsdb_p.h.

The documentation for this class was generated from the following files:

- src/signond/credentialsdb_p.h
- src/signond/credentialsdb.cpp